> ## Documentation Index
> Fetch the complete documentation index at: https://developer.easyparkgroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Parking Users



## OpenAPI

````yaml get /billing-accounts/{baId}/parking-users
openapi: 3.1.0
info:
  title: Partner API
  description: >

    Partner API is a collection of endpoints (currently available only in
    Europe) that allow EasyPark partners

    manage their parking users and cars. In this page you can find the general
    information regarding all the

    endpoints. For specific information please refer to the corresponding
    subsection.


    Note that this reference only contains information about our legacy
    endpoints that are to be sunsetted in

    2026. See 'Partner Reference' for the latest version of the Partner API.


    ## Addresses


    * Production: https://partner.europe.ezprk.net

    * Staging: https://partner.staging.ezprk.dev


    Requests and responses are in JSON format.


    ## Request timeout


    All the endpoints have a default timeout of 60 seconds.


    ## Errors


    All errors returned to the API user are structured in the following way:


    ```json
        {
            "timestamp": "2021-02-25T14:40:21.333+00:00",
            "path": "/billing-accounts/2220564/parking-users",
            "status": 400,
            "error": "Bad Request",
            "message": "email must not be blank",
            "requestId": "4ba1b9d0"
        }
    ```
  version: '2025.05'
servers:
  - url: https://partner.staging.ezprk.dev
    description: Staging
  - url: https://partner.europe.ezprk.net
    description: Production
security: []
tags:
  - name: Parking Users
    description: Manage parking users.
  - name: Fleet Cars
    description: Manage cars in the default fleet.
  - name: Login
    description: Authenticate with the EasyPark API
paths:
  /billing-accounts/{baId}/parking-users:
    get:
      tags:
        - Parking Users
      summary: Get all Parking Users
      operationId: getParkingUsers
      parameters:
        - name: baId
          in: path
          description: ID of the Billing Account.
          required: true
          schema:
            type: integer
            format: int64
        - name: pagenumber
          in: query
          description: Number of a page.
          required: false
          schema:
            type: integer
            format: int32
            default: 0
            maximum: 10000
            minimum: 0
        - name: maxresults
          in: query
          description: Number of elements on a single page.
          required: false
          schema:
            type: integer
            format: int32
            default: 10
            maximum: 10000
            minimum: 1
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ParkingUsersResponse'
      security:
        - jwt: []
components:
  schemas:
    ParkingUsersResponse:
      type: object
      properties:
        firstElementIndex:
          type: integer
          format: int32
        elementsInPage:
          type: integer
          format: int32
        elementsTotal:
          type: integer
          format: int32
        parkingUsers:
          type: array
          items:
            $ref: '#/components/schemas/ParkingUserDto'
    ParkingUserDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        firstName:
          type: string
        lastName:
          type: string
        phoneNumber:
          type: string
        email:
          type: string
        costCenter:
          type: string
        accountStatus:
          type: string
  securitySchemes:
    jwt:
      type: http
      description: You can get the JWT from the Login endpoint.
      scheme: bearer
      bearerFormat: Bearer JWT

````